Skip to main content
POST
/
v1
/
credentials
Create credential
curl --request POST \
  --url http://13.207.23.185:8000/v1/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "twilio",
  "api_key": "SK1234567890abcdef",
  "name": "Twilio Production"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Body

application/json
provider
enum<string>
required
Available options:
twilio,
elevenlabs,
openai,
deepgram,
cartesia
Example:

"twilio"

api_key
string
required
Example:

"SK1234567890abcdef"

name
string
Example:

"Twilio Production"

Response

201 - application/json

Created

id
string
name
string
provider
enum<string>
Available options:
twilio,
elevenlabs,
openai,
deepgram,
cartesia
created_at
string<date-time>